org.apache.ignite.ml.optimization.updatecalculators

## Class RPropUpdateCalculator

- java.lang.Object
- - org.apache.ignite.ml.optimization.updatecalculators.RPropUpdateCalculator

- All Implemented Interfaces:
    Serializable, ParameterUpdateCalculator<SmoothParametrized,RPropParameterUpdate>

      public class RPropUpdateCalculator
      extends Object
      implements ParameterUpdateCalculator<SmoothParametrized,RPropParameterUpdate>

  Class encapsulating RProp algorithm.

  See RProp.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IgniteFunction<Vector,IgniteDifferentiableVectorToDoubleFunction>` | `loss` Loss function.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RPropUpdateCalculator()` Construct RPropUpdateCalculator with default parameters.
    `RPropUpdateCalculator(double initUpdate, double accelerationRate, double deaccelerationRate)` Construct RPropUpdateCalculator.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RPropParameterUpdate` | `calculateNewUpdate(SmoothParametrized mdl, RPropParameterUpdate updaterParams, int iteration, Matrix inputs, Matrix groundTruth)` Calculate new update.
    `RPropParameterUpdate` | `init(SmoothParametrized mdl, IgniteFunction<Vector,IgniteDifferentiableVectorToDoubleFunction> loss)` Initializes the update calculator.
    `<M1 extends SmoothParametrized> M1` | `update(M1 obj, RPropParameterUpdate update)` Update given obj with this parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### loss

          protected IgniteFunction<Vector,IgniteDifferentiableVectorToDoubleFunction> loss

      Loss function.

  - ### Constructor Detail

    - #### RPropUpdateCalculator

          public RPropUpdateCalculator(double initUpdate,
                                       double accelerationRate,
                                       double deaccelerationRate)

      Construct RPropUpdateCalculator.
      Parameters:
        `initUpdate` - Initial update.
        `accelerationRate` - Acceleration rate.
        `deaccelerationRate` - Deacceleration rate.

    - #### RPropUpdateCalculator

          public RPropUpdateCalculator()

      Construct RPropUpdateCalculator with default parameters.

  - ### Method Detail

    - #### calculateNewUpdate

          public RPropParameterUpdate calculateNewUpdate(SmoothParametrized mdl,
                                                         RPropParameterUpdate updaterParams,
                                                         int iteration,
                                                         Matrix inputs,
                                                         Matrix groundTruth)

      Calculate new update.
      Specified by:
        `calculateNewUpdate` in interface `ParameterUpdateCalculator<SmoothParametrized,RPropParameterUpdate>`
      Parameters:
        `mdl` - Model to be updated.
        `updaterParams` - Updater parameters to updateCache.
        `iteration` - Current trainer iteration.
        `inputs` - Inputs.
        `groundTruth` - True values.
      Returns:
        Updated parameters.

    - #### init

          public RPropParameterUpdate init(SmoothParametrized mdl,
                                           IgniteFunction<Vector,IgniteDifferentiableVectorToDoubleFunction> loss)

      Initializes the update calculator.
      Specified by:
        `init` in interface `ParameterUpdateCalculator<SmoothParametrized,RPropParameterUpdate>`
      Parameters:
        `mdl` - Model to be trained.
        `loss` - Loss function.
      Returns:
        Initialized parameters.

    - #### update

          public <M1 extends SmoothParametrized> M1 update(M1 obj,
                                                           RPropParameterUpdate update)

      Update given obj with this parameters.
      Specified by:
        `update` in interface `ParameterUpdateCalculator<SmoothParametrized,RPropParameterUpdate>`
      Parameters:
        `obj` - Object to be updated.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022